servant-0.20.1: A family of combinators for defining webservices APIs

Safe Haskell | Safe-Inferred
Language | Haskell2010

Servant.API.HttpVersion

Synopsis

- data HttpVersion = HttpVersion {
  - httpMajor :: !Int
  - httpMinor :: !Int
  }

# Documentation

| You can directly use the `HttpVersion` type from `Network.HTTP.Types` if your request handlers need it to compute a response. This would make the request handlers take an argument of type `HttpVersion`.

Example:

    >>> type API = HttpVersion :> Get '[JSON] String

data HttpVersion #

HTTP Version.

Note that the Show instance is intended merely for debugging.

Constructors

HttpVersion |
Fields httpMajor :: !Int httpMinor :: !Int

#### Instances

Instances details

Show HttpVersion |
Instance details Defined in Network.HTTP.Types.Version Methods showsPrec :: Int -> HttpVersion -> ShowS show :: HttpVersion -> String showList :: [HttpVersion] -> ShowS
Eq HttpVersion |
Instance details Defined in Network.HTTP.Types.Version Methods (==) :: HttpVersion -> HttpVersion -> Bool (/=) :: HttpVersion -> HttpVersion -> Bool
Ord HttpVersion |
Instance details Defined in Network.HTTP.Types.Version Methods compare :: HttpVersion -> HttpVersion -> Ordering (<) :: HttpVersion -> HttpVersion -> Bool (<=) :: HttpVersion -> HttpVersion -> Bool (>) :: HttpVersion -> HttpVersion -> Bool (>=) :: HttpVersion -> HttpVersion -> Bool max :: HttpVersion -> HttpVersion -> HttpVersion min :: HttpVersion -> HttpVersion -> HttpVersion
HasLink sub => HasLink (HttpVersion :> sub :: Type) # |
Instance details Defined in Servant.Links Associated Types type MkLink (HttpVersion :> sub) a # Methods toLink :: (Link -> a) -> Proxy (HttpVersion :> sub) -> Link -> MkLink (HttpVersion :> sub) a #
type MkLink (HttpVersion :> sub :: Type) a # |
Instance details Defined in Servant.Links type MkLink (HttpVersion :> sub :: Type) a = MkLink sub a